%global commit		1a5e259b259130b50607174fc9f9508dc1f2941c
%global commitdate	20170825
%global shortcommit	%(c=%{commit}; echo ${c:0:7})
%define	rel		1

%global bashcompdir 	%(pkg-config --variable=completionsdir bash-completion)
%if "%{bashcompdir}" == ""
%define bashcompdir	"/etc/bash_completion.d"
%endif

Name:		the_silver_searcher
Version:	2.1.0
Release:	%mkrel %rel%{?commitdate:.%{commitdate}}
Summary:	Super-fast text searching tool (ag)
Group:		Text tools
License:	ASL 2.0 and BSD
URL:		https://github.com/ggreer/the_silver_searcher
Source:		https://github.com/ggreer/the_silver_searcher/archive/%{commit}/%{version}-%{shortcommit}.tar.gz
# See https://github.com/ggreer/the_silver_searcher/pull/888
Patch1:		ag-shlomif-fix-L-flag.patch
BuildRequires:	autoconf
BuildRequires:	automake
#BuildRequires:	clang
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(bash-completion)
#BuildRequires:	python2-cram
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(zlib)
Provides: ag = %{version}-%{release}

%description
The Silver Searcher is a code searching tool similar to ack,
with a focus on speed.

An attempt to make something better than ack (which itself is better
than grep).

Why use Ag?

- It searches code about 3-5x faster than ack.

- It ignores file patterns from your .gitignore and .hgignore.

- If there are files in your source repository you don't want to
  search,just add their patterns to a .ignore file.

* The command name is 33% shorter than ack, and all keys are on the
  home row!

How is it so fast?

- Ag uses Pthreads to take advantage of multiple CPU cores and search
  files in parallel.

- Files are mmap()ed instead of read into a buffer.

- Literal string searching uses Boyer-Moore-Horspool strstr.

- Regex searching uses PCRE's JIT compiler (if Ag is built with
  PCRE >=8.21).

- Ag calls pcre_study() before executing the regex on every file.

- Instead of calling fnmatch() on every pattern in your ignore files,
  non-regex patterns are loaded into an array and binary searched.


%prep
%setup -q -n %{name}-%{commit}
%patch1 -p1 -b .Lfix

%build
aclocal
autoconf
autoheader
automake --add-missing
%configure2_5x --disable-silent-rules
%make_build
#make test

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{bashcompdir}
install -pm 0644 ag.bashcomp.sh %{buildroot}%{bashcompdir}/ag
rm -rf %{buildroot}%{_datadir}/%{name}

%files
%{_bindir}/ag
%{_mandir}/man1/ag.1*
%(dirname %{bashcompdir})
%{_datadir}/zsh/site-functions/_the_silver_searcher
%doc README.md LICENSE


%changelog
